FLAC__StreamMetadata Struct Reference
FLAC C API » FLAC/format.h: format components

`#include <format.h>`

## Public Attributes

FLAC__MetadataType | type
FLAC__bool | is_last
unsigned | length
union {
FLAC__StreamMetadata_StreamInfo stream_info
FLAC__StreamMetadata_Padding padding
FLAC__StreamMetadata_Application application
FLAC__StreamMetadata_SeekTable seek_table
FLAC__StreamMetadata_VorbisComment vorbis_comment
FLAC__StreamMetadata_CueSheet cue_sheet
FLAC__StreamMetadata_Picture picture
FLAC__StreamMetadata_Unknown unknown
} | data

## Detailed Description

FLAC metadata block structure. (c.f. format specification)

## Member Data Documentation

## type

FLAC__MetadataType FLAC__StreamMetadata::type

The type of the metadata block; used determine which member of the data union to dereference. If type >= FLAC__METADATA_TYPE_UNDEFINED then data.unknown must be used.

## is_last

FLAC__bool FLAC__StreamMetadata::is_last

`true` if this metadata block is the last, else false

## length

unsigned FLAC__StreamMetadata::length

Length, in bytes, of the block data as it appears in the stream.

## data

union { ... } FLAC__StreamMetadata::data

Polymorphic block data; use the type value to determine which to use.

The documentation for this struct was generated from the following file:

- /build/jenkins/v2016.12/machine/raspberrypi/build/tmp-angstrom-glibc/work/arm1176jzfshf-vfp-angstrom-linux-gnueabi/flac/1.3.1-r0/flac-1.3.1/include/FLAC/format.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2014 Xiph.Org Foundation |